curl --request PATCH \
--url https://cloud.laravel.com/api/environments/{environment} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"branch": "<string>",
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"timeout": 32,
"build_command": "<string>",
"deploy_command": "<string>",
"uses_vanity_domain": true,
"database_schema_id": "<string>",
"cache_id": "<string>",
"websocket_application_id": "<string>",
"filesystem_keys": [
{
"id": "<string>",
"disk": "<string>",
"is_default_disk": true
}
],
"uses_octane": true,
"sleep_timeout": 30,
"hibernation_wake_up_interval": 5040,
"shutdown_timeout": 300,
"uses_purge_edge_cache_on_deploy": true,
"nightwatch_token": "<string>",
"firewall_block_path": true,
"firewall_browser_integrity_check": true
}
'import requests
url = "https://cloud.laravel.com/api/environments/{environment}"
payload = {
"name": "<string>",
"slug": "<string>",
"branch": "<string>",
"uses_push_to_deploy": True,
"uses_deploy_hook": True,
"timeout": 32,
"build_command": "<string>",
"deploy_command": "<string>",
"uses_vanity_domain": True,
"database_schema_id": "<string>",
"cache_id": "<string>",
"websocket_application_id": "<string>",
"filesystem_keys": [
{
"id": "<string>",
"disk": "<string>",
"is_default_disk": True
}
],
"uses_octane": True,
"sleep_timeout": 30,
"hibernation_wake_up_interval": 5040,
"shutdown_timeout": 300,
"uses_purge_edge_cache_on_deploy": True,
"nightwatch_token": "<string>",
"firewall_block_path": True,
"firewall_browser_integrity_check": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
branch: '<string>',
uses_push_to_deploy: true,
uses_deploy_hook: true,
timeout: 32,
build_command: '<string>',
deploy_command: '<string>',
uses_vanity_domain: true,
database_schema_id: '<string>',
cache_id: '<string>',
websocket_application_id: '<string>',
filesystem_keys: [{id: '<string>', disk: '<string>', is_default_disk: true}],
uses_octane: true,
sleep_timeout: 30,
hibernation_wake_up_interval: 5040,
shutdown_timeout: 300,
uses_purge_edge_cache_on_deploy: true,
nightwatch_token: '<string>',
firewall_block_path: true,
firewall_browser_integrity_check: true
})
};
fetch('https://cloud.laravel.com/api/environments/{environment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "environments",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"slug": "<string>",
"created_from_automation": true,
"vanity_domain": "<string>",
"build_command": "<string>",
"deploy_command": "<string>",
"uses_octane": true,
"uses_hibernation": true,
"hibernation_wake_up_interval": 123,
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"network_settings": {
"cache": {
"strategy": "<string>"
},
"response_headers": {
"frame": "<string>",
"content_type": "<string>",
"hsts": {
"max_age": 123,
"include_subdomains": true,
"preload": true
}
},
"firewall": {
"bot_categories": [],
"rate_limit": {
"429": true,
"4xx": true
},
"under_attack_mode_started_at": "<string>",
"block_path": true
},
"content_converter": true
},
"created_at": "2023-11-07T05:31:56Z",
"": {
"environment_variables": [
{
"key": "<string>",
"value": "<string>"
}
]
}
},
"relationships": {
"application": {
"data": {
"type": "applications",
"id": "<string>"
}
},
"branch": {
"data": {
"type": "branches",
"id": "<string>"
}
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"currentDeployment": {
"data": {
"type": "deployments",
"id": "<string>"
}
},
"domains": {
"data": [
{
"type": "domains",
"id": "<string>"
}
]
},
"primaryDomain": {
"data": {
"type": "domains",
"id": "<string>"
}
},
"instances": {
"data": [
{
"type": "instances",
"id": "<string>"
}
]
},
"database": {
"data": {
"type": "databaseSchemas",
"id": "<string>"
}
},
"cache": {
"data": {
"type": "caches",
"id": "<string>"
}
},
"buckets": {
"data": [
{
"type": "filesystems",
"id": "<string>"
}
]
},
"websocketApplication": {
"data": {
"type": "websocketApplications",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "applications",
"attributes": {
"name": "<string>",
"slug": "<string>",
"root_directory": "<string>",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"type": "repositories",
"id": "<string>"
}
},
"organization": {
"data": {
"type": "organizations",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"type": "environments",
"id": "<string>"
}
}
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update environment
Update an environment.
Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The environment identifier
Body
1 - 40^[A-Za-z0-9 _-]+$1blue, green, orange, purple, red, yellow, cyan, gray 5 <= x <= 608.2:1, 8.3:1, 8.4:1, 8.5:1 200020, 22, 24 2000The identifier of the database schema to attach to the environment. Send null or an empty string to detach the database, or skip it entirely to leave it unchanged.
The identifier of the cache to attach to the environment. Send null or an empty string to detach the cache, or skip it entirely to leave it unchanged.
The identifier of the WebSocket application to attach to the environment. Send null or an empty string to detach the WebSocket application, or skip it entirely to leave it unchanged.
An array of the object storage buckets that should be attached to the environment. Send an emtpy array ([]) to detach all buckets.
Show child attributes
Show child attributes
1 <= x <= 60The periodic wake-up interval in minutes for hibernating environments. Send null to disable, or a value between 1 and 10080 (7 days) to enable. Requires hibernation to be enabled.
1 <= x <= 100801 <= x <= 60044default, bypass deny, sameorigin, all nosniff, none index, follow, noindex, nofollow Show child attributes
Show child attributes
Response
EnvironmentResource
Show child attributes
Show child attributes
- ApplicationResource
- BranchResource
- DeploymentResource
- DomainResource
- InstanceResource
- DatabaseSchemaResource
- CacheResource
- FilesystemResource
- WebsocketApplicationResource
Show child attributes
Show child attributes
Was this page helpful?

